﻿@model LoyaltyPointEngine.DataMember.Member
@{
    ViewBag.Title = "History";
    int MemberID = Model != null ? Model.ID : 0;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>@(Model != null ? (Model.FirstName + " " + Model.LastName) : "")</h3>
    </div>

    <!-- Page Stats -->
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!-- Download History point by date range -->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Member.History(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddMember" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal  </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAwal", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir   </label>
                            <div class="col-md-6">
                                @Html.TextBox("tglAkhir", "", new { @class = "form-control datepicker2" })
                            </div>
                        </div>
                    </div>


                    <div class="form-actions">
                        @Html.Hidden("memberID", new { MemberID = MemberID })
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                    </div>


                }
            </div>
        </div>
    </div>
</div>
<!-- /download history point by date range -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> History Earn Point</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachMember", Member = "form" }))
                {
                    @Html.Hidden("HiddenMemberID", MemberID)
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllMemberHistory", new { MemberID = MemberID })
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
    (function () {
        var gridName = 'AllMemberHistory';
        var pagingUrl = '@Url.Action(MVC.Member.GridGetAllMemberHistoryPager())';

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachMember')
        });

        $(".datepicker2").datepicker({
            defaultDate: +7,
            showOtherMonths: true,
            autoSize: true,
            dateFormat: 'dd/mm/yy',
        });

        $('#download-button-reporting').click(function () {

            setTimeout(function () { HideLoader(); }, 3000);
        });

        }())

    </script>

}